import pandas as pd
import matplotlib.pyplot as plt
from statsmodels.formula.api import ols


data = pd.read_csv('C:/Users/yu_ye/PycharmProjects/pythonProject1/hprice1.csv')


fit = ols('lprice ~ lsqrft',data=data).fit()

fit.summary()


fig = plt.figure(figsize=(7, 7))


plt.scatter(data['lsqrft'], data['lprice'],color='royalblue')
plt.plot(data['lsqrft'],fit.fittedvalues,color='violet')

plt.xlabel('lsqrft',fontsize=17)
plt.ylabel('lprice',fontsize=17)
plt.show()

#https://zephyrus1111.tistory.com/52

######################################################
import pandas as pd

s1 = '소비자물가지수.xlsx'
s2 = '실업률.xlsx'

inflation_rate = pd.read_excel(s1,index_col=0,engine='openpyxl')
unemployment_rate = pd.read_excel(s2,index_col=0,engine='openpyxl')

ir=inflation_rate.loc['소비자물가상승률']
ur=unemployment_rate.loc['실업률']

list_ir=list(ir)
list_ur=list(ur)
list_ir[0]=float(list_ir[0])

import matplotlib.pyplot as plt

year=['2012','2013','2014','2015','2016','2017','2018','2019','2020','2021']


plt.plot(list_ur, list_ir, marker='o',markerfacecolor='blue',
         markersize=8)
plt.title('philips_curve')
plt.xlabel('unemployment_rate')
plt.ylabel('inflation_rate')

for i in range(len(year)):
    plt.annotate(year[i], (list_ur[i],list_ir[i]))


plt.show()